For the complete documentation index, see llms.txt. This page is also available as Markdown.

Operationele pagina's

Je kunt GitBook-pagina's synchroniseren met een OpenAPI- of Swagger-bestand of een URL om automatisch gegenereerde API-methoden in je documentatie op te nemen.

OpenAPI-blok

Het OpenAPI-blok van GitBook wordt aangedreven door Scalar, zodat je je API's rechtstreeks vanuit je documentatie kunt testen.

Add a new pet to the store.

post

Add a new pet to the store.

Vereiste scopes
Dit endpoint vereist de volgende scopes:
  • : modify pets in your account
  • : read your pets
Autorisaties
OAuth2implicitVereist
Authorization URL:
Body
idinteger Β· int64OptioneelExample: 10
namestringVereistExample: doggie
photoUrlsstring[]Vereist
statusstring Β· enumOptioneel

pet status in the store

Mogelijke waarden:
Antwoorden
200

Successful operation

idinteger Β· int64OptioneelExample: 10
namestringVereistExample: doggie
photoUrlsstring[]Vereist
statusstring Β· enumOptioneel

pet status in the store

Mogelijke waarden:
post/pet
POST /api/v3/pet HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "id": 10,
  "name": "doggie",
  "category": {
    "id": 1,
    "name": "Dogs"
  },
  "photoUrls": [
    "text"
  ],
  "tags": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "status": "available"
}
{
  "id": 10,
  "name": "doggie",
  "category": {
    "id": 1,
    "name": "Dogs"
  },
  "photoUrls": [
    "text"
  ],
  "tags": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "status": "available"
}